lz4 (1.10.0-4) unstable; urgency=medium

  * d/patches:
    - Update use-system-xxhash.patch. Fix library linking for lz4 command.
    - Add Create-softlink-for-lz4c.patch. (Closes: #1099464)
  * d/rules:
    - Enable multithreading. (Closes: #1096024)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 07 Mar 2025 18:20:43 +0900

lz4 (1.10.0-3) unstable; urgency=medium

  * Upload to unstable.
    - No change from experimental.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Jan 2025 23:15:14 +0900

lz4 (1.10.0-2) experimental; urgency=medium

  * Update d/patches/use-system-xxhash.patch.
    - Add -lxxhash to liblz4.pc.in.
    - Drop compile definitipons 'XXH_NAMESPACE=LZ4_' with patch.
    (Closes: #1091188, #1085679, #1078995)
  * d/control: Add libxxhash-dev to B-D of liblz4-dev.
    (Closes: #1078134, #1077401)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 03 Jan 2025 07:59:41 +0900

lz4 (1.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 23 Jul 2024 11:35:48 +0900

lz4 (1.9.4-4) unstable; urgency=medium

  * Update d/patches/use-system-xxhash.patch.
    - Add -lxxhash to liblz4.pc.in.
  * d/control: Add libxxhash-dev to B-D of liblz4-dev.
    (Closes: #1078134, #1077401)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 03 Jan 2025 09:20:45 +0900

lz4 (1.9.4-3) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * Use CMake to build lz4. (Closes: #1073192)

  [ Nobuhiro Iwamatsu ]
  * d/rules:
    - Enforce --buildsystem=cmake.
    - Drop override_dh_auto_test.
  * d/control: Remove white space.
  * d/copyright: Update copyright year.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 23 Jul 2024 11:23:24 +0900

lz4 (1.9.4-2) unstable; urgency=medium

  * d/control: Drop transitional liblz4-tool package (Closes: #1032725)
  * d/clean: Add files created during testing (Closes: #1046472)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Apr 2024 11:18:32 +0900

lz4 (1.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Update d/patches.
    - Drop d/patches/0005-CVE-2021-3520.patch.
    - Refresh d/patches.
  * Update symboles file.
  * Update d/copyright.
  * Update d/control.
    - Add 'Rules-Requires-Root: no'.
    - Update Homepage field.
    - Update Standards-Version to 4.6.1.
  * d/watch: Update to version 4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 28 Aug 2022 12:00:55 +0900

lz4 (1.9.3-2) unstable; urgency=medium

  * Fix CVE-2021-3520. (Closes: #987856)
    - This fixed potential memory corruption with negative memmove() size.
    - Add d/patches/0005-CVE-2021-3520.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 05 May 2021 16:29:57 +0900

lz4 (1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Update d/control.
    - Use debhelper-compat, and update to 13.
    - Bump Standards-Version to 4.5.0 (no changes)
  * Add d/upstream/metadata.
  * Update d/liblz4-1.symbols.
    Add LZ4F_headerSize@Base 1.9.3.
  * Update d/patches.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 01 Dec 2020 06:07:12 +0900

lz4 (1.9.2-2) unstable; urgency=medium

  * Fix FTCBFS: Annotate the python3 dependency. (Closes: #944559)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 12 Nov 2019 07:58:47 +0900

lz4 (1.9.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #943680)
    Fix CVE-2019-17543.
  * Add d/patches/change-optimize.patch.
    Change optimize and add debugging information.
  * Update d/control.
    Add python3 to B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 29 Oct 2019 19:19:36 +0900

lz4 (1.9.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 20 Aug 2019 22:43:48 +0900

lz4 (1.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Update d/patches.
  * Update debian/liblz4-1.symbols.
    Add APIs following:
      - LZ4F_getBlockSize@Base
      - LZ4_compress_HC_continue_destSize@Base
      - LZ4_compress_HC_destSize@Base
      - LZ4_initStream@Base
      - LZ4_initStreamHC@Base
      - LZ4_resetStreamHC_fast@Base
    Remove APIs following:
      - LZ4_attach_HC_dictionary@Base
      - LZ4_attach_dictionary@Base
      - LZ4_compress_fast_extState_fastReset@Base

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 24 May 2019 07:51:04 +0900

lz4 (1.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Update d/patches.
  * Update d/copyright.
    Remove unused file paragraph.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 25 Sep 2018 22:26:58 +0900

lz4 (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/watch file.
  * Update debian/liblz4-1.symbols.
    Add APIs following:
      - LZ4_attach_HC_dictionary@Base
      - LZ4_attach_dictionary@Base
      - LZ4_compress_fast_extState_fastReset@Base
      - LZ4_decoderRingBufferSize@Base
      - LZ4_resetStream_fast@Base

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 14 May 2018 16:45:54 +0900

lz4 (1.8.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update static link problem fix.
    In this fix, add LZ4F_PUBLISH_STATIC_FUNCTIONS to compile option.
    This makes the following API available for reference to the library.
      - LZ4F_compressBegin_usingCDict@Base
      - LZ4F_compressFrame_usingCDict@Base
      - LZ4F_createCDict@Base
      - LZ4F_decompress_usingDict@Base
      - LZ4F_freeCDict@Base
      - LZ4F_getErrorCode@Base

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 13 Apr 2018 10:39:09 +0900

lz4 (1.8.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 12 Apr 2018 11:46:55 +0900

lz4 (1.8.0-4) experimental; urgency=medium

  * Add liblz4-tool transitional package (Closes: #894279)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 12 Apr 2018 08:31:07 +0900

lz4 (1.8.0-3) experimental; urgency=medium

  * Change package name to liblz4-1.
    Do not need to change SONAME, so revert it.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 11 Apr 2018 09:02:37 +0900

lz4 (1.8.0-2) experimental; urgency=medium

  * Change package name to liblz4-1a.
    From 1.8.0, lz4 removed some API in 1.8.0, but upstream dose not bump
    the SONAME. We changed to -1a to maintain compatibility.
  * Fix Static link. (#882974)
  * Update debian/copyright.
    - Fix insecure copyright format URI.
    - Update copyright information.
  * Update Vcs-Browser and Vcs-Git to use salsa.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 08 Nov 2017 13:26:35 +0900

lz4 (1.8.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #860168, #821740)
  * Bump Standards-Version to 4.1.0.
  * Remove patches/ignore_rm_fail.patch.
  * Update symbols file.
  * Rename liblz4-tool to lz4. (Closes: #781234)
  * Change Priority to optional. (Closes: #816620)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 31 Aug 2017 08:07:55 +0900

lz4 (1.7.5-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Update symbols file.
  * Add patches/ignore_rm_fail.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 19 Jun 2017 09:09:28 +0900

lz4 (0.0~r131-2) unstable; urgency=medium

  * Add support cross compile. (Closes: #814687)
    Thanks to Helmut Grohne <helmut@subdivi.de>.
  * Change URL of homepage to https://github.com/Cyan4973/lz4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 18 Feb 2016 00:27:54 +0900

lz4 (0.0~r131-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (r131).
  * Update and enable atches/0001-Disable-valgrind.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 16 Aug 2015 20:46:09 +0900

lz4 (0.0~r130-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (r130).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 01 Jun 2015 09:35:45 +0900

lz4 (0.0~r127-1) experimental; urgency=low

  * Snapshot, taken from the trunk (r127).
  * Update debian/docs.
    Add lz4_block_format.txt and LZ4_Frame_Format.html.
  * Update liblz4-1.symbols.
  * Bump Standards-Version to 3.9.6.
  * Update copyright.
    Add more infomation of copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 Mar 2015 17:21:34 +0900

lz4 (0.0~r122-2) unstable; urgency=medium

  * Install pkgconfig file into liblz4-dev. (Closes: #761906)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 17 Sep 2014 08:55:01 +0900

lz4 (0.0~r122-1) unstable; urgency=high

  * Snapshot, taken from the trunk (r122).
  * Fix test on s390x. (Closes: #757581)
    Add patches/0001-Add-support-s390x-architecture.patch.
  * Remove patches.
    - add-support-kfreebsd.patch, add-support-hurd.patch and Add-LDFLAGS.patch
      were applied to upstream.
    - Makefile of upstream was updated.
      Remove 0001-Remove-test-32-from-test-target.patch.
  * Update patches/0001-Disable-valgrind.patch.
  * Update debian/rules.
    - Re-enable test on s390x.
  * Update symbols file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 17 Sep 2014 01:57:08 +0900

lz4 (0.0~r119-2) unstable; urgency=medium

  * Disable test on s390x and sparc. (Closes: #755170)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 29 Jul 2014 01:43:36 +0900

lz4 (0.0~r119-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (r119) (Closes: #751256).
  * The r119 fixed CVE-2014-4715, and r118 fixed CVE-2014-4611.
  * Disable valgrind test.
    Add patches/0001-Disable-valgrind.patch.
  * Disable test with -m32 option.
    Add patches/0001-Remove-test-32-from-test-target.patch.
  * Update liblz4-1.symbols.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 15 Jul 2014 10:25:02 +0900

lz4 (0.0~r117-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (r117).
  * Remove patches/add-ldflags.patch and patches/fix-install.patch.
  * Update patches/add-support-kfreebsd.patch.
  * Add patches/add-support-hurd.patch (Closes: #749901).
  * Add patches/Remove-32bit-test-program-from-target.patch.
  * Add patches/Add-LDFLAGS.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 09 Jun 2014 14:57:21 +0900

lz4 (0.0~r114-2) unstable; urgency=low

  * Update patches/add-support-kfreebsd.patch.
    Support programs.Makefile too.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Mar 2014 14:23:35 +0900

lz4 (0.0~r114-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r113).
  * Remove support-library-version.patch
    Applied to upstream.
  * Update add-ldflags.patch.
  * Add patches/fix-install.patch.
    Fix install library.
  * Update symbols file.
  * Add patches/add-support-kfreebsd.patch.
    Support install on kFreeBSD.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Mar 2014 01:53:20 +0900

lz4 (0.0~r113-2) unstable; urgency=low

  * Update debian/control.
    - Add Conflict and Replaces field of libz4-1-dbg (Closes: #741003).
    - Update package description (Closes: #741001).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 10 Mar 2014 08:34:29 +0900

lz4 (0.0~r113-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r113).
  * Update debian/rules.
    - Change build tool from cmake to GNU make.
  * Update debian/control.
    - cmake from Build-Depends
    - Update Standards-Version to 3.9.5
  * Update symbols file.
  * Add patches/add-dlflags.patch.
  * Add patches/support-library-version.patch.
  * Remove old patches.
  * Change package name and install script name.
  * Add manpage of lz4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 05 Mar 2014 10:50:41 +0900

lz4 (0.0~r109-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r109).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 25 Dec 2013 07:26:12 +0900

lz4 (0.0~r107-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r107).
  * Update patches.
  * Update symbol file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 Oct 2013 19:51:48 +0900

lz4 (0.0~r99-1) unstable; urgency=low

  * New upstream released.
  * Add symbols file.
  * Update debian/control.
    - Update Vcs-Git and Vcs-Browser field.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 31 Jul 2013 12:28:38 +0900

lz4 (0.0~r94-2) unstable; urgency=low

  * Fix install path on 32bit build. (Closes: #710458)
    Update patches/0001-Fix-install-path.patch.
  * Remove unrecognized command line option '-march=native'. (Closes: #710459)
    Add patches/remove_optimize.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 31 May 2013 14:05:43 +0900

lz4 (0.0~r94-1) unstable; urgency=low

  * Initial release. (Closes: #698256)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 04 May 2013 08:31:31 +0900
